cURL
curl --request GET \ --url https://api.mottostreaming.com/streaming/video_protection/v2/rulesets/{video_protection_ruleset_id} \ --header 'Authorization: Bearer <token>'
{ "video_protection_ruleset": { "project_id": "<string>", "name": "<string>", "id": "<string>", "geo_restrictions_disallow": { "country_codes": [ "<string>" ] }, "geo_restrictions_allow": { "country_codes": [ "<string>" ] }, "allow_all_geographies": true, "disallow_vpn_usage": true, "disallow_hotlinking": true, "domains": { "domains": [ "<string>" ] }, "allow_all_domains": true, "require_authentication": true, "disabled": true, "require_entitlement": true, "geo_applicability_exempt": { "country_codes": [ "<string>" ] }, "geo_applicability_apply": { "country_codes": [ "<string>" ] }, "applies_to_all": true, "target": { "entity_ids": [ "<string>" ], "event_ids": [ "<string>" ], "creative_work_ids": [ "<string>" ], "content_start_time": "2023-11-07T05:31:56Z", "content_end_time": "2023-11-07T05:31:56Z" }, "drm": { "enabled": true, "hws_minimum_quality": 123, "split_keys": true }, "enforce_concurrency_limits": true, "priority": "<string>" } }
GetVideoProtection
Returns information about the video_protection.
Documentation IndexFetch the complete documentation index at: https://docs.mottostreaming.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.mottostreaming.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
OK
Show child attributes